# Change your subscription

| **Description** | Updates the service plan of your account. |
| --------------- | ----------------------------------------- |
| **Endpoint**    | `/account/plan`                           |
| **Method**      | PATCH                                     |

### Access Level Rules

| **Minimum Access Level** | Account holder only |
| ------------------------ | ------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="300">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>storageLimit</code></td><td>An integer describing the new storage limit of the account in GB.</td><td>false</td><td>Your current storage limit.</td></tr><tr><td><code>processingUnits</code></td><td>An integer describing the new number of monthly processing units.</td><td>false</td><td>The free amount of processing units for the chosen storage limit.</td></tr><tr><td><code>dryRun</code></td><td>Boolean whether only the price of the change should be returned instead of actually performing the change.</td><td>false</td><td>Default false.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/account/change-your-subscription.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
